package gui;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

import javax.swing.border.LineBorder;

/**
 * Type of border which creates a thick dark gray line between columns,
 * but does nothing between rows.
 *
 * @author Michael Gebauer
 */
public class ColumnBorder extends LineBorder {

  static final long serialVersionUID = 20050112L;

  /**
   * Creates a new ColumnBorder with color dark gray.
   */
  public ColumnBorder() {
    super(Color.DARK_GRAY,6);
  }

  /**
   *
   *
   * @param c
   * @param g
   * @param x
   * @param y
   * @param width
   * @param height
   */
  public void paintBorder(Component c, Graphics g, int x, int y, int width, int height) {
    super.paintBorder(c,g,0,y,5,height);
  }
}

//  LocalWords:  Gebauer ColumnBorder param
