package scorekeeping;

/**
* Note that instantiating this class is not the only step required
* to receive PRS votes.  For more information, see EZJcom documentation:
* http://www.ezjcom.com/.
*/
public class EZJComUpopVoteConnector extends ezjcomGenerated.__ctlPrsX {

  private static EZJComUpopVoteConnector receiver;

  private EZJComUpopVoteConnector() {
    super();
  }

  /**
   * In practice, only one EZJComUpopVoteConnector object will be
   * necessary in a single program, so this factory replaces a
   * constructor.
   *
   * @return An instance of a EZJComUpopVoteConnector;
   */
  public static EZJComUpopVoteConnector createVoteReceiver() {
    if (receiver == null)
      receiver = new EZJComUpopVoteConnector();
    return receiver;
  }

  // This is the method in EZJCom.__ctlPrsX that this must override.
  /**
   * Called when a vote is received.  Delegates to VoteReceiver.
   */
  public synchronized void Receive(short[] port, int[] id, short[] value, short[] confidence) {
    VoteReceiver.receive(port,id,value,confidence);
  }
}

//  LocalWords:  EZJComUpopVoteConnector EZJCom ctlPrsX VoteReceiver
