package scorekeeping;

/**
 * This represents information obtained from one transmitter.
 *
 * @author Michael Gebauer
 */
public class Vote {

  // Always a constant in the TEAL room.
  private int port;
  // 0..9
  private int value;
  // -1..1
  private int confidence;
  // six-digit transmitter ID
  private int id;

  public Vote(int port, int id, int value, int confidence) {
    assert 0 <= value && value <= 9;
    assert -1 <= confidence && confidence <= 1;
    this.port = port;
    this.id = id;
    this.value = value;
    this.confidence = confidence;
  }

  public int getConfidence() {
    return confidence;
  }

  public int getId() {
    return id;
  }

  public int getPort() {
    return port;
  }

  public int getValue() {
    return value;
  }

  public String toString() {
    return "Vote["+
      "port:"+port+
      ",id:"+id+
      ",value:"+value+
      ",confidence:"+confidence+"]";
  }
}
