package simpledomparser;
/*
 * @(#)SimpleElement.java
 */

import java.util.HashMap;
import java.util.LinkedList;

/**
 * This class was taken from an article at DevX.com entitled
 * "Build Your Own Lightweight XML DOM Parser".  It is available
 * at http://www.devx.com/xml/Article/10114#codeitemarea.
 *
 * <code>SimpleElement</code> is the only node type for
 * simplified DOM model.
 */
public class SimpleElement {
  private String tagName;
  private String text;
  private HashMap<String,String> attributes;
  private LinkedList<SimpleElement> childElements;

  public SimpleElement(String tagName) {
    this.tagName = tagName;
    attributes = new HashMap<String,String>();
    childElements = new LinkedList<SimpleElement>();
  }

  public String getTagName() {
    return tagName;
  }

  public void setTagName(String tagName) {
    this.tagName = tagName;
  }

  public String getText() {
    return text;
  }

  public void setText(String text) {
    this.text = text;
  }

  public String getAttribute(String name) {
    return (String)attributes.get(name);
  }

  public void setAttribute(String name, String value) {
    attributes.put(name, value);
  }

  public void addChildElement(SimpleElement element) {
    childElements.add(element);
  }

  public Object[] getChildElements() {
    return childElements.toArray();
  }
}
